<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FlightTicketingResponse StructType
 * @subpackage Structs
 */
class FlightTicketingResponse extends AbstractStructBase
{
    /**
     * The FlightTicketingRS
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_FlightTicketingRS
     */
    public $FlightTicketingRS;
    /**
     * Constructor method for FlightTicketingResponse
     * @uses FlightTicketingResponse::setFlightTicketingRS()
     * @param \StructType\JP_FlightTicketingRS $flightTicketingRS
     */
    public function __construct(\StructType\JP_FlightTicketingRS $flightTicketingRS = null)
    {
        $this
            ->setFlightTicketingRS($flightTicketingRS);
    }
    /**
     * Get FlightTicketingRS value
     * @return \StructType\JP_FlightTicketingRS|null
     */
    public function getFlightTicketingRS()
    {
        return $this->FlightTicketingRS;
    }
    /**
     * Set FlightTicketingRS value
     * @param \StructType\JP_FlightTicketingRS $flightTicketingRS
     * @return \StructType\FlightTicketingResponse
     */
    public function setFlightTicketingRS(\StructType\JP_FlightTicketingRS $flightTicketingRS = null)
    {
        $this->FlightTicketingRS = $flightTicketingRS;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\FlightTicketingResponse
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
